import { ListResults, Network, Networkish } from './types';
/**
 * Transaction return from centralized service
 */
export interface TransactionResult {
    value: number;
    time: number;
    txhash: string;
    from: string;
    to: string;
    flag: 'in' | 'out';
    txfee: number;
    block: number;
    status: 0 | 1;
    input: string;
}
export type GetHistoryProps = {
    limit?: number;
    page?: number;
    others?: {
        [key: string]: unknown;
    };
};
export interface CPCScanProvider {
    getBaseUrl(): string;
    /**
     * Detect network
     */
    detectNetwork(): Promise<Network>;
    /**
     * Get all transactions of  Window size is 10,000
     * @param addressOrName address or name (this function will got address from the CNS)
     */
    getHistory(addressOrName: string | Promise<string>, props: GetHistoryProps): Promise<ListResults<TransactionResult>>;
}
export declare class CPCScanProviderImpl implements CPCScanProvider {
    private network;
    constructor(networkish: Networkish);
    private getUrl;
    detectNetwork(): Promise<Network>;
    getHistory(addressOrName: string | Promise<string>, props?: GetHistoryProps): Promise<ListResults<TransactionResult>>;
    getBaseUrl(): string;
}
export interface CreateCPCScanProviderProps {
    networkish: Networkish;
}
export declare const createCPCScanProvider: ({ networkish }: CreateCPCScanProviderProps) => CPCScanProviderImpl;
