import { ethers } from 'ethers';
export * from './cpc-scan-provider';
export type TransactionResponse = ethers.providers.TransactionResponse;
export declare class CPCTransactionResponse implements TransactionResponse {
    hash: string;
    provider: ethers.providers.Provider;
    blockNumber?: number | undefined;
    blockHash?: string | undefined;
    timestamp?: number | undefined;
    confirmations: number;
    from: string;
    raw?: string | undefined;
    to?: string | undefined;
    nonce: number;
    gasLimit: ethers.BigNumber;
    gasPrice?: ethers.BigNumber | undefined;
    data: string;
    value: ethers.BigNumber;
    chainId: number;
    r?: string | undefined;
    s?: string | undefined;
    v?: number | undefined;
    type?: number | null | undefined;
    accessList?: ethers.utils.AccessList | undefined;
    maxPriorityFeePerGas?: ethers.BigNumber | undefined;
    maxFeePerGas?: ethers.BigNumber | undefined;
    constructor(hash: string, provider: ethers.providers.Provider, nonce?: number, from?: string);
    wait(confirmations?: number | undefined): Promise<ethers.providers.TransactionReceipt>;
}
declare class CPCJsonRpcProvider extends ethers.providers.JsonRpcProvider {
    private _url;
    constructor(url: string, network?: ethers.providers.Networkish);
    detectNetwork(): Promise<ethers.providers.Network>;
    getNetwork(): Promise<ethers.providers.Network>;
    sendTransaction(signedTransaction: string | Promise<string>): Promise<TransactionResponse>;
}
declare function createJsonRpcProvider(url?: string, chainID?: number): CPCJsonRpcProvider;
export { CPCJsonRpcProvider, createJsonRpcProvider };
